Subject: Re: Apple Super Serial Cards
From: [email-masked] (David Empson)
Date: Sun, 1 Oct 1995 12:33:48 GMT
Newsgroups: comp.sys.apple2.programmer

In article <[email-masked]>, 2230  <brockman> wrote:
> I have 2 apple IIe's that I'm trying to get to communicate with each other...
> And I need doc's on the card, or some info...
> Specificaly,  What should I set the dips to... Modem or Terminal, and
> finnally.. what about the Software....

Below is an extract from a mail message I sent to someone a while ago
which should contain enough information to get you started.

To connect two super serial cards together for communications, your
best option is to set both of them for a MODEM connection in
Communications mode, and use a null-modem cable wired as follows:

2   -------------------------- 3
3   -------------------------- 2
4,5 -------------------------- 8
8   -------------------------- 4,5
7   -------------------------- 7
6   -------------------------- 20
20  -------------------------- 6

Note that the cable is symmetrical.

You can probably get away with a few less flow control signals, but
this will guarantee that everything works properly.

If you only have a straight through ribbon cable available, change one
of the jumper blocks to the TERMINAL position, which reverses all of
the data and flow control pins (see below for details).

Software: any IIe-based communications software should do the trick.
There are some freeware and shareware programs around, e.g. Z-Link
(shareware) and Kermit (freeware).

--- Begin extract ---

The plug on the card can be in either of two configurations.  If you
look near the back of the card, you will see a large black block with
an arrow on it, and the words MODEM above and TERMINAL below it.
The arrow will be pointing to either of these words.  You can remove
the block (it is socketed) and reverse it.
 
With the arrow pointing to TERMINAL, the card is configured to plug
directly into a terminal or printer with a straight-through serial
cable.  With the arrow pointing to MODEM, the card is configured to
plug directly into a modem with a straight-through serial cable.
 
In the MODEM position, the connector is wired as a DTE.  It uses the
following pins:
 
1  Frame Ground
2  Transmit Data
3  Receive Data
4  RTS
5  CTS
6  DSR
7  Signal Ground
8  DCD
20 DTR
 
In the TERMINAL position, the connector is wired as a DCE.  It uses the
following pins:
 
1  Frame Ground
2  Receive Data
3  Transmit Data
4  (incoming flow control, goes to DCD input of 6551 if switch enabled)
5  (looped back from pin 4)
6  (outgoing flow control, comes from DTR output of 6551)
7  Signal Ground
8  (outgoing flow control, comes from RTS output of 6551, also goes to
    CTS input of 6551)
20 (incoming flow control, goes to DSR input of 6551)
 
A switch can also be used to connect the SCTS pin (19) to the DCD
input of the 6551, instead of the RTS/CTS pins.

Here are the switch settings.
 
Switch SW1-1 through 1-4: Set the default bit rate
 
1-1 1-2 1-3 1-4    Default bit rate
ON  ON  ON  ON     undefined
ON  ON  ON  OFF    50
ON  ON  OFF ON     75
ON  ON  OFF OFF    109.92 (110)
ON  OFF ON  ON     134.48 (134.5)
ON  OFF ON  OFF    150
ON  OFF OFF ON     300
ON  OFF OFF OFF    600
OFF ON  ON  ON     1200
OFF ON  ON  OFF    1800
OFF ON  OFF ON     2400
OFF ON  OFF OFF    3600
OFF OFF ON  ON     4800
OFF OFF ON  OFF    7200
OFF OFF OFF ON     9600
OFF OFF OFF OFF    19200
 
Switch SW1-5 and 1-6 set the operation mode of the card.
 
1-5 1-6   mode
ON  ON    Communications
OFF ON    Printer
ON  OFF   Emulate Apple Serial Interface Card with P8 PROM
OFF OFF   Emulate Apple Serial Interface Card with P8A PROM
 
Switches SW1-7 and SW2-7 select between the standard and secondary
Clear To Send signals when the jumper block is set to TERMINAL.
 
1-7 2-7   pin
ON  OFF   CTS
OFF ON    SCTS
 
If the jumper block is set to MODEM, SW1-7 should always be ON and
SW2-7 should always be OFF.
 
Switches SW2-1 through SW2-4 have different functions if "Printer" or
"Communications" mode is enabled.

In "Printer" mode, the functions are as follows:
 
SW2-1    Default data format
ON       8 data, 1 stop
OFF      8 data, 2 stop
 
SW2-2    Delay after sending out a RETURN character
OFF      None
ON       32 milliseconds
 
SW2-3 and SW2-4 set line width and video output
 
2-3 2-4  Function
ON  ON   40 column output, video on
ON  OFF  72 column output, video off
OFF ON   80 column output, video off
OFF OFF  132 column output, video off

In "Communications" mode, the functions are as follows:
 
SW2-1    Default number of stop bits
ON       1 stop bit
OFF      2 stop bits
 
SW2-2    Default number of data bits
ON       8 data bits
OFF      7 data bits
 
SW2-3    Default parity mode (if parity is enabled)
ON       odd parity
OFF      even parity
 
SW2-4    Default parity enable
ON       parity disabled
OFF      parity enabled

Switch SW2-5 enables automatic line feed generation after sending a
carriage return (both modes).
 
SW2-5    Automatic line feed
ON       Yes
OFF      No
 
Switch SW2-6 enables interrupts.
 
SW2-6    Interrupts
ON       Yes
OFF      No
 
Switch SW2-7 was described above (SCTS enable).

Communications software will usually override most of the switch
settings.  The important settings are:
 
SW1-5   ON
SW1-6   ON
SW1-7   ON
SW2-6   ON  (assuming the software supports interrupts)
SW2-7   OFF

Note: if the software does not support interrupts, you must set SW2-6
OFF, or the computer will crash as soon as the serial card is enabled.
 
If you are using the card to connect to a printer, all of the switches
should be set correctly - most software will use the card's settings
and will not override them.

Note that "Communications" and "Printer" mode is a switch selection.
It is independent of the MODEM or TERMINAL setting of the jumper block.
 
In "Communications" mode, the card expects commands starting with a
Control-A character (by default).  In "Printer" mode, the card expects
commands starting with with a Control-I character (by default).
-- 
David Empson
[email-masked]
Snail mail: P.O. Box 27-103, Wellington, New Zealand